for i in range(int(input())) :
    if i==0 :
        xMin, yMin = map(int, input().split())
        xMax, yMax = xMin, yMin
        continue
    
    x, y = map(int, input().split())
    xMin, yMin, xMax, yMax = min(x,xMin), min(y,yMin), max(x,xMax), max(y,yMax)

print((xMax-xMin)*(yMax-yMin))